{
  "name": "@universia/node-code-test",
  "version": "0.0.0",
  "description": "Node Code Test for universia",
  "dependencies": {
    "@types/express": "^4.16.1",
    "@types/node": "*",
    "express": "^4.17.1",
    "mongodb": "^3.2.7",
    "p-event": "^4.1.0"
  },
  "devDependencies": {
    "@types/chai": "^4.1.7",
    "@types/chai-subset": "^1.3.2",
    "@types/faker": "^4.1.5",
    "@types/mocha": "^5.2.7",
    "@types/supertest": "^2.0.7",
    "chai": "^4.2.0",
    "chai-subset": "^1.6.0",
    "faker": "^4.1.0",
    "mocha": "^6.1.4",
    "nodemon": "^1.19.1",
    "nyc": "^14.1.1",
    "supertest": "^4.0.2",
    "ts-node": "^8.2.0",
    "typescript": "^3.5.1"
  },
  "scripts": {
    "start": "nodemon -x 'node -r ts-node/register' src/index.ts",
    "test": "nyc mocha --require tests/entry 'tests/**/*.{test,spec}.ts'"
  },
  "nyc": {
    "include": [
      "src/**/*.ts"
    ],
    "extension": [
      ".ts"
    ],
    "exclude": [
      "**/*.d.ts",
      "lib/**",
      "tests/**",
      "node_modules/**",
      "src/index.ts"
    ],
    "reporter": [
      "clover",
      "cobertura",
      "html",
      "json",
      "lcov",
      "text",
      "text-summary"
    ],
    "clean": true,
    "temp-dir": "reports/.nyc_ouptut",
    "report-dir": "reports/coverage",
    "all": true
  }
}
